<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
	<body>

		<!-- <div> tag creates a container element that's used to group certain HTML elements together -->
		<header>
			<h1>HTML Tables and Forms</h1>
		<header>

		<main>
			
			<div id="section">
				<!-- HTML Entities -->
				<h2>HTML Entities</h2>
				<p>
					<em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em>
				</p>

				<!-- <table> tag - defines an html table that allows us to represent data in tabular format -->
				<table border="1">
					<!-- <thead> tag - used to group header content in an HTML table -->
					<thead>
						<!-- <tr> tag - defines the table row -->
						<tr>
							<!-- <th> tag - defines a table header element -->
							<!-- colspan attribute - changes the amount of a table element will occupy (rowspan) -->
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>

					<!-- <tbody> tag - used to group body content in a HTML table  -->
					<tbody>
						<tr>
							<!-- <td> tag - defines a table element -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<!-- Mini Activity:
							Complete the table by inserting the following HTML entities
							- #8369 - peso sign
							- amp - ampersand
							- quot - double quotation mark
							- apos - single quotation mark (apostrophe)
							- ntilde - lower tilde
							- Ntilde - upper tilde

								send a screenshot of your browser after completing the table at the batch hangouts
							 -->
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark(apostrophe)</td>
						</tr>

						<tr>
							<td>&ntilde;</td>
							<td>nitlde</td>
							<td>lower tilde</td>
						</tr>

						<tr>
							<td>&Ntilde;</td>
							<td>Nitlde</td>
							<td>upper tilde</td>
						</tr>
					</tbody>

					<!-- <tfoot> tag - used to group footer content in a HTML Table -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>

					</tfoot>
				</table>

			</div>

			<!-- End of the HTML Table Discussion -->

			<div id="section">
				<!-- HTML Forms -->
				<h2>HTML Forms</h2>
				<p>
					<em>Input elements that make up a form</em>
				</p>

				<!-- <form> tag- creates a HTML form to capture user input
					 	- action attribute - specifies where the information will be sent after submission.
					 	- <buttion type="value" - define how the button will behave.
					 		- submit is the default value and not necessary to be included but as a good practice it is added to HTML forms.
				 -->
				<form action="https://google.com">
					<!-- Full Name  -->
					<label for="full_name">Full Name:</label><br>
					<input type="text" name="full_name" id="full_name" required autocomplete=""><br>

					<!-- Birth Date -->
					<label for="birth_date">Birth Date</label><br>
					<input type="date" name="birth_date" id="birth_date" required><br>

					<!-- Age -->
					<label for="age">Age:</label><br>
					<!-- min and max value to change the range -->
					<input type="number" name="age" id="age" min="1" max="100" required autocomplete=""><br>

					<!-- Gender: Dropdown menu -->
					<label for="gender">Gender:</label><br>
					<!-- Creates a dropdown menu -->
					<select name="gender" id="gender">
						<!-- Creates an op tion for the dropdown -->
						<option value="Male">Male</option>
						<option value="Female">Female</option>
					</select><br>

					<!-- Notes -->
					<label for="notes">Notes:</label><br>
					<textarea name="notes" id="notes" rows="5" ></textarea><br>

					<!-- New user: Radio Buttons -->
					<!-- For radio buttons, name attribute should be the same -->
					<label>New User:</label><br>
					<input type="radio" name="new_user" id="user-type1">
					<label for="user-type1">Yes</label><br>

					<input type="radio" name="new_user" id="user-type2">
					<label for="user-type2">No</label><br><br>

					<!-- Role: Checkbox -->
					<!-- Checkbox value will create a checkbox to get multiple option values -->
					<label>Role:<label><br>

					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">Developer</label><br>

					<input type="checkbox" name="role2" id="role2" value="student">
					<label for="role2">Student</label><br>

					<input type="checkbox" name="role3" id="role3" value="manager">
					<label for="role3">Student</label><br><br>

					<!-- Buttons -->
					<button type="submit">Submit</button><br>
					<button type="reset">reset</button>
				</form>
			</div>
			
		</main>
		

		

		

		
	</body>
</html>